githubEdit

PersonalAccessToken

circle-info

This document uses the REST API. For more details, see the Authentication for API page.

List personal access tokens

get

List personal access tokens

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
versionstringRequired

Requested API version

Example: 2025-11-05Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
chevron-right
200

Return the personal access tokens associated with the calling principal

application/vnd.api+json
get
/self/personal_access_tokens

Deletes a personal access token

delete

Delete a personal access token

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
personal_access_token_idstring · ulidRequired

The personal access token id

Example: 01HSBP9DKDK39KWZQV84PSPRHY
Query parameters
versionstringRequired

Requested API version

Example: 2025-11-05Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
delete
/self/personal_access_tokens/{personal_access_token_id}

No content

Last updated

Was this helpful?